clients Package
===============

Diagrams
--------

Simple QueryGenerator class diagram :

.. inheritance-diagram:: shinken.clients.LSB.QueryGenerator  shinken.clients.LSB.SimpleQueryGenerator  shinken.clients.LSB.FileQueryGenerator
   :parts: 3


Simple LSSyncConnection class diagram :

.. inheritance-diagram:: shinken.clients.livestatus.LSSyncConnection
   :parts: 3



Simple Query class diagram :

.. inheritance-diagram:: shinken.clients.livestatus.Query
   :parts: 3


Simple LSConnectionPool class diagram :

.. inheritance-diagram:: shinken.clients.livestatus.LSConnectionPool
   :parts: 3


Simple  class diagram :

.. inheritance-diagram::
   :parts: 3



Package
-------


:mod:`clients` Package
----------------------

.. automodule:: shinken.clients
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`LSB` Module
-----------------

.. automodule:: shinken.clients.LSB
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`livestatus` Module
------------------------

.. automodule:: shinken.clients.livestatus
    :members:
    :undoc-members:
    :show-inheritance:

